Bug 90295 - Boot hangs whem displaying the message "Finding Module Dependencies"
Boot hangs whem displaying the message "Finding Module Dependencies"
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-06 11:42 EDT by Alex
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex 2003-05-06 11:42:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
After installing the version of RedHat Linux downloaded from the ftp server, 
while booting, the system hangs.
When displaying the message "Finding Module Dependencies", the system stops, 
the disk light is off and there is no response to any keyboard action.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install system (either local, workstation or server configurations)
2. Boot
    

Additional info:
Comment 1 Edgar N. 2003-05-18 03:45:56 EDT
I am having the same problem on my gateway 6400 server. 
It looks like the system hangs when various rc scripts scan through 
/proc for ide devices - the first one is the devlabel command getting 
run. (I'm writing this off the top of my head - if not devlabel  it is the program 
from that DELL engineer to make symlinks to the drive devices). 
But if you comment that stuff out, the system just hangs a bit later, 
yet again in a /proc lookup. 
 
My system is a SCSI/IDE system. System boots off the mirrored  
SCSI drives(onboard scsi). If I boot the system with the IDE 
drives off, everything is OK. I have 3 IDE cards: 
onboard ServerWorks - cdrom 
pci promise fasttrak card being used in non-raid mode - 2 drives 
AECxxxx pci card - 2 drives 
(With redhat 8 I was running SW raid 5 across the 4 drives). 
 
So I'm looking at: 
     Forcing the system to use the newer symbios 2 driver in case 
         it is the onboard scsi causing the problem 
    Try permutations of ide drives turned off to see if one of the 2 
           IDE cards is causing the problem. 
    Try a custom kernel using 2.4.21-*, tried it before and did not help. 
 
I've upgraded to all the latest redhat updates, no change in behaviour. 
 
 
Comment 2 Edgar N. 2003-05-18 12:48:05 EDT
More information on my system and testing: 
PDC20267 IDE card, UDMA disabled 
AEC6280R IDE card 
 
Onboard Symbios scsi is sym53c1010-33. 
 
If the promise card has no drives, system boots just fine, doesn't matter what is 
on the AEC6280R card. So some sort of problem with the promise driver it seems. 
I did notice that during boot that UDMA is enabled on the promise card if no drives 
attached. This seems strange. 
 
I put the 2 drives on the onboard IDE (the reason they weren't there in the 
first place is that I had major problems in early 2.4 kernels with data corruption 
on the onboard chains). System boots fine, but the raid doesn't come up 
on the ide drives due to different ordering of the disks. 
 
I'm going to look at getting another IDE card to replace the promise, esp. 
as others seem to have various problems with them. Though why I didn't 
see this on earlier redhat, even with custom kernels? 
 
Comment 3 Bugzilla owner 2004-09-30 11:40:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.